summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2004-02-29 20:38:26 +1100
committerDarren Tucker <dtucker@zip.com.au>2004-02-29 20:38:26 +1100
commit9468ba33a1d1a5fd6258658dee1058500e1082f0 (patch)
tree39ee8b53ec0eacdee6840f813b9560211afad235
parent68b184c75d771f6a878e09e1fafc66e293e8ba27 (diff)
- dtucker@cvs.openbsd.org 2004/02/28 13:44:45
[regress/try-ciphers.sh] Test acss too; ok markus@
-rw-r--r--ChangeLog5
-rw-r--r--regress/try-ciphers.sh13
2 files changed, 16 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index b488dd7f..87166a41 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -28,6 +28,9 @@
- dtucker@cvs.openbsd.org 2004/02/28 12:16:57
[regress/dynamic-forward.sh]
Make dynamic-forward understand nc's new output. ok markus@
+ - dtucker@cvs.openbsd.org 2004/02/28 13:44:45
+ [regress/try-ciphers.sh]
+ Test acss too; ok markus@
20040226
- (bal) KNF our sshlogin.c even if the code looks nothing like upstream
@@ -833,4 +836,4 @@
- (djm) Trim deprecated options from INSTALL. Mention UsePAM
- (djm) Fix quote handling in sftp; Patch from admorten AT umich.edu
-$Id: ChangeLog,v 1.3268 2004/02/29 09:37:06 dtucker Exp $
+$Id: ChangeLog,v 1.3269 2004/02/29 09:38:26 dtucker Exp $
diff --git a/regress/try-ciphers.sh b/regress/try-ciphers.sh
index 2c727f66..103f410a 100644
--- a/regress/try-ciphers.sh
+++ b/regress/try-ciphers.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: try-ciphers.sh,v 1.8 2003/06/12 15:40:01 markus Exp $
+# $OpenBSD: try-ciphers.sh,v 1.9 2004/02/28 13:44:45 dtucker Exp $
# Placed in the Public Domain.
tid="try ciphers"
@@ -28,3 +28,14 @@ for c in $ciphers; do
fail "ssh -1 failed with cipher $c"
fi
done
+
+echo "Ciphers acss@openssh.org" >> $OBJ/sshd_proxy
+c=acss@openssh.org
+for m in $macs; do
+ trace "proto 2 $c mac $m"
+ verbose "test $tid: proto 2 cipher $c mac $m"
+ ${SSH} -F $OBJ/ssh_proxy -2 -m $m -c $c somehost true
+ if [ $? -ne 0 ]; then
+ fail "ssh -2 failed with mac $m cipher $c"
+ fi
+done